/*
 * files.h -- DHCP server file manipulation
 * Rewrite by Russ Dill <Russ.Dill@asu.edu> July 2001
 *
 * udhcp Server
 * Copyright (C) 1999 Matthew Ramsay <matthewr@moreton.com.au>
 *			Chris Trew <ctrew@moreton.com.au>
 *
 * Rewrite by Russ Dill <Russ.Dill@asu.edu> July 2001
 * Ported to eCOS by Sebastien Couret <sebastien.couret@elios-informatique.fr> November 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _FILES_H
#define _FILES_H

struct config_keyword {
	char keyword[14];				// Keyword associated with this option
	int (*handler)(char *line, void *var);		// Read Handler
	void *var;					// Address of variable to set
	char def[30];					// Default value
};

char read_network_config(void);
char read_config(char *file);
#ifdef CYGPKG_ELIOSDHCP_LEASE_FILE
char write_leases(void);
int read_leases(char *file);
#endif

#endif
